de.esprit.appsuite.xml

## Class ParseTracker

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.xml.ParseTracker

- All Implemented Interfaces:
    DeepCloneable, Dumpable, Resettable, java.io.Serializable, java.lang.Cloneable

      public class ParseTracker
      extends TransferableObject
      implements Resettable

  This class encapsulates the state variables that are used during parsing of an XML document.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseTracker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `calculateReadBytes()`
    `int` | `getHandlerCount()`
    `int` | `getLineNumber()`
    `org.xml.sax.Locator` | `getLocator()`
    `void` | `incrementHandlerCount()`
    `void` | `reset()` This method is called by the ResetButton on it's registered target.
    `void` | `setLocator(org.xml.sax.Locator locator)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseTracker

          public ParseTracker()

  - ### Method Detail

    - #### getLineNumber

          public int getLineNumber()

    - #### calculateReadBytes

          public long calculateReadBytes()

    - #### incrementHandlerCount

          public void incrementHandlerCount()

    - #### getHandlerCount

          public int getHandlerCount()

    - #### setLocator

          public void setLocator(org.xml.sax.Locator locator)

    - #### getLocator

          public org.xml.sax.Locator getLocator()

    - #### reset

          public void reset()

      Description copied from interface: `Resettable`
      This method is called by the ResetButton on it's registered target.
      Specified by:
        `reset` in interface `Resettable`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.